<launch>
  <env name="GAZEBO_RESOURCE_PATH" value="$(find semantic_elastic_bands)/data/"/>

  <arg name="namespace" default=""/>
  <arg name="start_x" default="0.0"/>
  <arg name="start_y" default="0.0"/>
  <arg name="start_a" default="0.0"/>
  <arg name="z_pos" default="0.0"/>
  <arg name="world_name" default="vincent_ma_testmap2.world"/>

  <arg name="model" default="waffle_pi"/>

    <include file="$(find gazebo_ros)/launch/empty_world.launch">
      <arg name="world_name" value="$(arg world_name)"/>
      <arg name="paused" value="false"/>
      <arg name="use_sim_time" value="true"/>
      <arg name="gui" value="false"/>
      <arg name="recording" value="false"/>
      <arg name="debug" value="false"/>
    </include>

  <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher">
    <param name="publish_frequency" type="double" value="20.0" />
    <param name="tf_prefix" type="string" value="$(arg namespace)" />
    <param name="use_tf_static" type="bool" value="true" />
  </node>

  <param name="robot_description" command="$(find xacro)/xacro.py $(find turtlebot3_description)/urdf/turtlebot3_$(arg model).urdf.xacro" />
 
  <node name="urdf_spawner" pkg="gazebo_ros" type="spawn_model" respawn="false" output="screen"
    args="-urdf -model turtlebot3_$(arg model) -x $(arg start_x) -y $(arg start_y) -z $(arg z_pos) -Y $(arg start_a) -param robot_description"/>
  
</launch>

